## ros-indigo-cob-cartesian-controller 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_cartesian_controller)

find_package(catkin REQUIRED COMPONENTS actionlib_msgs actionlib cob_srvs geometry_msgs message_generation roscpp roslint std_msgs std_srvs tf visualization_msgs)

find_package(Boost REQUIRED)

catkin_python_setup()

### Message Generation ###
add_action_files(
  DIRECTORY action
  FILES CartesianController.action
)

add_message_files(
  DIRECTORY msg
  FILES MoveLin.msg
        MoveCirc.msg
        Profile.msg
)

generate_messages(
  DEPENDENCIES actionlib_msgs geometry_msgs std_msgs
)

catkin_package(
  CATKIN_DEPENDS actionlib_msgs actionlib cob_srvs geometry_msgs message_runtime roscpp std_msgs std_srvs tf visualization_msgs
  DEPENDS Boost
  INCLUDE_DIRS include
  LIBRARIES profile_generator trajectory_interpolator cartesian_controller cartesian_controller_utils
)

### BUILD ###
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(cartesian_controller_utils src/cartesian_controller_utils.cpp)
add_dependencies(cartesian_controller_utils ${catkin_EXPORTED_TARGETS})
target_link_libraries(cartesian_controller_utils ${catkin_LIBRARIES})

add_library(profile_generator src/trajectory_profile_generator/trajectory_profile_generator_builder.cpp src/trajectory_profile_generator/trajectory_profile_generator_ramp.cpp src/trajectory_profile_generator/trajectory_profile_generator_sinoid.cpp)
add_dependencies(profile_generator ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(profile_generator ${catkin_LIBRARIES})

add_library(trajectory_interpolator src/trajectory_interpolator/trajectory_interpolator.cpp)
add_dependencies(trajectory_interpolator ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(trajectory_interpolator profile_generator ${catkin_LIBRARIES})

add_library(cartesian_controller src/cartesian_controller.cpp)
add_dependencies(cartesian_controller ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(cartesian_controller trajectory_interpolator cartesian_controller_utils ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(cartesian_controller_node src/cartesian_controller_node.cpp)
target_link_libraries(cartesian_controller_node cartesian_controller ${catkin_LIBRARIES})

roslint_cpp()

### INSTALL ##
install(TARGETS profile_generator trajectory_interpolator cartesian_controller cartesian_controller_utils cartesian_controller_node
 ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
 DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(PROGRAMS scripts/test_move_lin.py scripts/test_move_circ.py scripts/test_move_santa.py
                 scripts/test_move_lin_interface.py scripts/test_move_circ_interface.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/scripts
)

install(DIRECTORY config launch
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-cartesian-controller (0.6.17-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.16-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.15-0trusty) trusty; urgency=high

  * cleanup leftovers
  * use xacro --inorder
  * remove inline keywords
  * manually fix changelog
  * optimize output
  * clear preview
  * remove obsolete script
  * add install tags
  * fix and harmonize scripts
  * broadcast target_frame before tracking
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.14-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.13-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.12-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.11-0trusty) trusty; urgency=high

  * remove lwa4d test scripts
  * use ros::Time::now
  * use const in function parameters
  * remove movePTP
  * minor styling
  * remove unused Pose parameter
  * significantly simplify function parameters for getTrajectory and getProfileTimings
  * re-order vel-acc
  * get rid of ProfileTimings.ok
  * move identical functions to base class
  * harmonizing
  * remove obsolete calcTe_
  * minor styling
  * roslint cob_cartesian_controller
  * towards code styling consistency
  * adjust descriptions ins license plate
  * adjust description
  * Final version
  * Almost finalized version
  * Implemented move_circ
  * remove obsolete files
  * adjust service type in cartesian controller
  * LWA4D test scripts
  * New quaternion interpolation
  * Linear interpolation works fine now. There's still a bug in quaternion interpolation.
  * Bug fixes + code reduction
  * apply change in parameter name
  * code reduction part 2.
  * forgot the cpp files
  * added new headers
  * Code reduction part 1.. there's still a bug in ramp profiles.
  * Fixed a bug in sort algorithm and profile interpolation
  * new example script
  * restructured, introducing base class for profile generator
  * renaming: hardware_interface to controller_interface
  * update trajectory_hardware_interface
  * handle base_compensation in kinematic_extension enum
  * implement JointTrajectory hardware_interface for twist_controller
  * Contributors: Marco Bezzon, ipa-fxm, ipa-fxm-cm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.10-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.9-0trusty) trusty; urgency=high

  * Corrections integrated from PR: [WIP] Finalizing/Testing of TwistController features (#51 <https://github.com/ipa-fxm/cob_control/issues/51>). Renaming from frame_to_collision to link_to_collision.
  * boost revision
  * more dependency fixes according to review comments
  * Resolved merge conflicts.
  * more fixes for migration afer merge
  * merge with package_xml_2
  * remove trailing whitespaces
  * migrate to package format 2
  * 
    
      * Removed unnecessary function.
      * Prepared configuration params.
    
  * resolve possible endless-loop
  * consider PR review comments
  * review dependencies
  * updates from ipa-fxm-mb
  * updates from ipa320
  * Implemented Python package to set dyn_reconfigure params. Made test_move_around_torus use of this class.
  * missing add_dependencies
  * sort dependencies
  * review dependencies
  * print result, use sci in test scripts
  * Created test, Removed commends, Removed output.
  * Fixed bugs in cartesian_controller: waitFor last available transform else extrapolation error; send always a new constructed StampedTransform instead of using an already existent one, else end-effector is decoupled from manipulator and other confusing things happen...; Added responsible node to tf error msg.
  * fix cartesian_interface
  * first draft for python interface
  * re-work message structure use pose and frame_id, proper handling transformation to root_frame
  * added publisher for path preview
  * split and restructure ProfileGenerator
  * simplify data_type conversion, cleanup
  * re-work of ActionServer: more failure handling
  * draft for example
  * replace .prog files with according .py scripts, use rospy.sleep() instead of holdPosition action
  * get rid of holdPosition, replaced by rospy.sleep()
  * restructure and simplify cartesian_controller_utils, beautification
  * Further tests and adaptations for test.
  * Made cob_cartesian_controller work again: Added CartesianController::convertMoveLinRelToAbs method again (why removed?)
  * Added generated const from .cfg; Styling
  * Merge with code style fixes.
  * code styling cob_cartesian_controller
  * renamed variable
  * restructured cartesian controller with action interface
  * added action server
  * fix install tags
  * restructured functions
  * added headers..
  * restructured
  * Contributors: ipa-fxm, ipa-fxm-cm, ipa-fxm-mb

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.8-0trusty) trusty; urgency=high

  * merge with release candidate
  * package renaming: cob_path_broadcaster -> cob_cartesian_controller
  * Contributors: ipa-fxm



=== debian/control ===
Source: ros-indigo-cob-cartesian-controller
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cob-srvs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-cartesian-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cob-frame-tracker, ros-indigo-cob-srvs, ros-indigo-cob-twist-controller, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rviz, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-topic-tools, ros-indigo-visualization-msgs, ros-indigo-xacro
Description: This package provides nodes that broadcast tf-frames along various (model-based) Cartesian paths (e.g.
 Linear, Circular). The tf-frames are interpolated using a given velocity profile (e.g. Ramp, Sinoid) and can be used as targets for the cob_frame_tracker/cob_twist_controller.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-cartesian-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
